Spaces method and path for this operation:
get /s/{space_id}/api/observability/slos/{id}
Refer to Spaces for more information.
You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: slo_read.
Path parameters
-
The identifier of the SLO.
Minimum length is
8, maximum length is48. Format should match the following pattern:^[a-z0-9-_]+$.
Query parameters
-
the specific instanceId used by the summary calculation
Value is
*. -
The name of the remote cluster where the SLO is defined, for remote SLOs
GET
/api/observability/slos/{id}
curl \
--request GET 'https://<KIBANA_URL>/api/observability/slos/{id}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json"
Response examples (200)
{
"budgetingMethod": "occurrences",
"createdAt": "2025-01-12T10:03:19.000Z",
"description": "Availability of my web service",
"enabled": true,
"groupBy": "*",
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"indicator": {
"params": {
"filter": "field.environment : \"production\" and service.name : \"my-service\"",
"good": "request.status_code : \"2xx\"",
"index": "logs-*",
"timestampField": "@timestamp",
"total": "request.status_code : *"
},
"type": "sli.kql.custom"
},
"instanceId": "*",
"name": "My Service Availability",
"objective": {
"target": 0.99
},
"revision": 1,
"settings": {
"frequency": "5m",
"syncDelay": "5m"
},
"summary": {
"errorBudget": {
"consumed": 0.17,
"initial": 0.01,
"isEstimated": false,
"remaining": 0.83
},
"sliValue": 0.9983,
"status": "HEALTHY"
},
"tags": [
"production",
"web-service"
],
"timeWindow": {
"duration": "30d",
"type": "rolling"
},
"updatedAt": "2025-01-12T10:03:19.000Z",
"version": 2
}
Response examples (400)
{
"error": "Bad Request",
"message": "Invalid value 'foo' supplied to: id",
"statusCode": 400
}
Response examples (401)
{
"error": "Unauthorized",
"message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "security_exception: action [slo_read] is unauthorized for user",
"statusCode": 403
}
Response examples (404)
{
"error": "Not Found",
"message": "SLO [3749f390-03a3-11ee-8139-c7ff60a1692d] not found",
"statusCode": 404
}